evaluations
Create evaluations calibration
Requires scopes: eval:write
POST
/
api
/
evaluations
/
{id}
/
calibration
Create evaluations calibration
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/calibration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "<string>"
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/calibration"
payload = { "mode": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: '<string>'})
};
fetch('https://evalgate.com/api/evaluations/{id}/calibration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"applied": true,
"nextVersion": {
"version": 123,
"tag": "<string>",
"configHash": "<string>",
"spearmanR": 123,
"mae": 123,
"f1": 123,
"gateOutcome": "pass",
"createdAt": "<string>",
"activatedAt": "<string>",
"deprecatedAt": "<string>"
}
}{
"id": "<string>",
"proposal": {
"id": "<string>",
"targetVersion": 123,
"changeType": "custom",
"description": "<string>",
"changeDelta": {},
"linkedDisagreementIds": [
"<string>"
],
"status": "approved",
"validationMetrics": {
"spearmanR": 123,
"mae": 123,
"f1": 123,
"optimalThreshold": 123,
"n": 123,
"sufficientSample": true
},
"validationGate": "pass",
"proposedBy": "<string>",
"proposedAt": "<string>",
"validatedAt": "<string>",
"appliedAt": "<string>",
"rejectedAt": "<string>",
"rejectionReason": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
Create evaluations calibration
